package com.css.simulation.resource.server.infra.db.mysql.mapper;

import api.common.pojo.param.scene.SceneDeleteParam;
import api.common.pojo.param.scene.SceneReferenceLibSelectParam;
import api.common.pojo.po.scene.SceneReferenceLibPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface SceneReferenceLibMapper {
    void saveSceneReference(SceneReferenceLibPO params);
    List<SceneReferenceLibPO> querySceneReferenceLibList(SceneReferenceLibSelectParam params);
    List<SceneReferenceLibPO> selectAllByName(SceneReferenceLibPO sceneReferenceLibPO);
    void updateSceneReference(SceneReferenceLibPO params);
    void deleteBySceneNames(SceneDeleteParam sceneDeleteParam);

    List<String> selectIdsByNames(@Param("list")List<String> list);

}
